package de.humance.eco.profile.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

import java.util.Date;

/**
 * The base model interface for the Vehicle service. Represents a row in the &quot;Profile_Vehicle&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link de.humance.eco.profile.model.impl.VehicleModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link de.humance.eco.profile.model.impl.VehicleImpl}.
 * </p>
 *
 * @author Humance
 * @see Vehicle
 * @see de.humance.eco.profile.model.impl.VehicleImpl
 * @see de.humance.eco.profile.model.impl.VehicleModelImpl
 * @generated
 */
public interface VehicleModel extends BaseModel<Vehicle> {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this interface directly. All methods that expect a vehicle model instance should use the {@link Vehicle} interface instead.
     */

    /**
     * Returns the primary key of this vehicle.
     *
     * @return the primary key of this vehicle
     */
    public long getPrimaryKey();

    /**
     * Sets the primary key of this vehicle.
     *
     * @param primaryKey the primary key of this vehicle
     */
    public void setPrimaryKey(long primaryKey);

    /**
     * Returns the vehicle ID of this vehicle.
     *
     * @return the vehicle ID of this vehicle
     */
    public long getVehicleId();

    /**
     * Sets the vehicle ID of this vehicle.
     *
     * @param vehicleId the vehicle ID of this vehicle
     */
    public void setVehicleId(long vehicleId);

    /**
     * Returns the creator ID of this vehicle.
     *
     * @return the creator ID of this vehicle
     */
    public long getCreatorId();

    /**
     * Sets the creator ID of this vehicle.
     *
     * @param creatorId the creator ID of this vehicle
     */
    public void setCreatorId(long creatorId);

    /**
     * Returns the creator name of this vehicle.
     *
     * @return the creator name of this vehicle
     */
    @AutoEscape
    public String getCreatorName();

    /**
     * Sets the creator name of this vehicle.
     *
     * @param creatorName the creator name of this vehicle
     */
    public void setCreatorName(String creatorName);

    /**
     * Returns the create date of this vehicle.
     *
     * @return the create date of this vehicle
     */
    public Date getCreateDate();

    /**
     * Sets the create date of this vehicle.
     *
     * @param createDate the create date of this vehicle
     */
    public void setCreateDate(Date createDate);

    /**
     * Returns the modifier ID of this vehicle.
     *
     * @return the modifier ID of this vehicle
     */
    public long getModifierId();

    /**
     * Sets the modifier ID of this vehicle.
     *
     * @param modifierId the modifier ID of this vehicle
     */
    public void setModifierId(long modifierId);

    /**
     * Returns the modifier name of this vehicle.
     *
     * @return the modifier name of this vehicle
     */
    @AutoEscape
    public String getModifierName();

    /**
     * Sets the modifier name of this vehicle.
     *
     * @param modifierName the modifier name of this vehicle
     */
    public void setModifierName(String modifierName);

    /**
     * Returns the modified date of this vehicle.
     *
     * @return the modified date of this vehicle
     */
    public Date getModifiedDate();

    /**
     * Sets the modified date of this vehicle.
     *
     * @param modifiedDate the modified date of this vehicle
     */
    public void setModifiedDate(Date modifiedDate);

    /**
     * Returns the driver ID of this vehicle.
     *
     * @return the driver ID of this vehicle
     */
    public long getDriverId();

    /**
     * Sets the driver ID of this vehicle.
     *
     * @param driverId the driver ID of this vehicle
     */
    public void setDriverId(long driverId);

    /**
     * Returns the type ID of this vehicle.
     *
     * @return the type ID of this vehicle
     */
    public long getTypeId();

    /**
     * Sets the type ID of this vehicle.
     *
     * @param typeId the type ID of this vehicle
     */
    public void setTypeId(long typeId);

    /**
     * Returns the manufacturer ID of this vehicle.
     *
     * @return the manufacturer ID of this vehicle
     */
    public long getManufacturerId();

    /**
     * Sets the manufacturer ID of this vehicle.
     *
     * @param manufacturerId the manufacturer ID of this vehicle
     */
    public void setManufacturerId(long manufacturerId);

    /**
     * Returns the organization ID of this vehicle.
     *
     * @return the organization ID of this vehicle
     */
    public long getOrganizationId();

    /**
     * Sets the organization ID of this vehicle.
     *
     * @param organizationId the organization ID of this vehicle
     */
    public void setOrganizationId(long organizationId);

    /**
     * Returns the model name of this vehicle.
     *
     * @return the model name of this vehicle
     */
    @AutoEscape
    public String getModelName();

    /**
     * Sets the model name of this vehicle.
     *
     * @param modelName the model name of this vehicle
     */
    public void setModelName(String modelName);

    /**
     * Returns the dimension height of this vehicle.
     *
     * @return the dimension height of this vehicle
     */
    public long getDimensionHeight();

    /**
     * Sets the dimension height of this vehicle.
     *
     * @param dimensionHeight the dimension height of this vehicle
     */
    public void setDimensionHeight(long dimensionHeight);

    /**
     * Returns the dimension width of this vehicle.
     *
     * @return the dimension width of this vehicle
     */
    public long getDimensionWidth();

    /**
     * Sets the dimension width of this vehicle.
     *
     * @param dimensionWidth the dimension width of this vehicle
     */
    public void setDimensionWidth(long dimensionWidth);

    /**
     * Returns the dimension depth of this vehicle.
     *
     * @return the dimension depth of this vehicle
     */
    public long getDimensionDepth();

    /**
     * Sets the dimension depth of this vehicle.
     *
     * @param dimensionDepth the dimension depth of this vehicle
     */
    public void setDimensionDepth(long dimensionDepth);

    /**
     * Returns the license plate of this vehicle.
     *
     * @return the license plate of this vehicle
     */
    @AutoEscape
    public String getLicensePlate();

    /**
     * Sets the license plate of this vehicle.
     *
     * @param licensePlate the license plate of this vehicle
     */
    public void setLicensePlate(String licensePlate);

    @Override
    public boolean isNew();

    @Override
    public void setNew(boolean n);

    @Override
    public boolean isCachedModel();

    @Override
    public void setCachedModel(boolean cachedModel);

    @Override
    public boolean isEscapedModel();

    @Override
    public Serializable getPrimaryKeyObj();

    @Override
    public void setPrimaryKeyObj(Serializable primaryKeyObj);

    @Override
    public ExpandoBridge getExpandoBridge();

    @Override
    public void setExpandoBridgeAttributes(BaseModel<?> baseModel);

    @Override
    public void setExpandoBridgeAttributes(ExpandoBridge expandoBridge);

    @Override
    public void setExpandoBridgeAttributes(ServiceContext serviceContext);

    @Override
    public Object clone();

    @Override
    public int compareTo(Vehicle vehicle);

    @Override
    public int hashCode();

    @Override
    public CacheModel<Vehicle> toCacheModel();

    @Override
    public Vehicle toEscapedModel();

    @Override
    public Vehicle toUnescapedModel();

    @Override
    public String toString();

    @Override
    public String toXmlString();
}
